Package org.drinkless.tdlib

# Class TdApi.DeviceTokenApplePush

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DeviceToken
org.drinkless.tdlib.TdApi.DeviceTokenApplePush

Enclosing class:
  `TdApi`

public static class TdApi.DeviceTokenApplePush extends TdApi.DeviceToken
A token for Apple Push Notification service.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.DeviceToken

  `TdApi.DeviceToken.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `deviceToken`
  Device token; may be empty to deregister a device.
  `boolean`
  `isAppSandbox`
  True, if App Sandbox is enabled.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceTokenApplePush()`
  A token for Apple Push Notification service.
  `DeviceTokenApplePush(String deviceToken, boolean isAppSandbox)`
  A token for Apple Push Notification service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### deviceToken

    public String deviceToken
    Device token; may be empty to deregister a device.

  - ### isAppSandbox

    public boolean isAppSandbox
    True, if App Sandbox is enabled.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeviceTokenApplePush

    public DeviceTokenApplePush()
    A token for Apple Push Notification service.

  - ### DeviceTokenApplePush

    public DeviceTokenApplePush(String deviceToken, boolean isAppSandbox)
    A token for Apple Push Notification service.
    Parameters:
      `deviceToken` - Device token; may be empty to deregister a device.
      `isAppSandbox` - True, if App Sandbox is enabled.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.DeviceToken`
    Returns:
      this.CONSTRUCTOR